### Virtual Method

# Foundry DebuggerProvider load_debugger

#### Declaration [src]

    DexFuture*
    load_debugger (
      FoundryDebuggerProvider* self,
      FoundryBuildPipeline* pipeline
    )

#### Description

No description available.

#### Parameters

`pipeline`

  Type: `FoundryBuildPipeline`

  A `FoundryBuildPipeline`.

  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

No description available.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.